操作系统配置总结

论坛 期权论坛 脚本     
已经匿名di用户   2022-7-2 21:58   4103   0

yum -y install libtool

/usr/share/aclocal/libtool.m4

$RM -f "$cfgfile"

CFLAGS="-O3 -mnocona -mstack-align-double" CXX=gcc

CXXFLAGS="-O3 -mnocona -mstack-align-double -felide-constructors -fno-exceptions -fno-rtti"

./configure --prefix=/usr/local/mysql --enable-assembler --with-charset=utf8 --with-collation=utf8_general_ci --with-extra-charsets=all --with-mysqld-user=mysql --with-big-tables --with-server-suffix=-tx-database --with-mysqld-ldflags=-all-static --with-client-ldflags=-all-static --with-unix-socket-path=/var/run/mysql --without-debug --with-pthread --enable-static --enable-thread-safe-client --with-plugins=partition,blackhole,federated,archive,csv,heap,myisam,myisammrg,innobase --mandir=/usr/share/man/

./configure --prefix=/usr/local/mysql --enable-assembler --with-charset=utf8 --with-collation=utf8_general_ci --with-extra-charsets=all --with-mysqld-user=mysql --with-big-tables --with-server-suffix=-tx-database --with-mysqld-ldflags=all-static --with-client-ldflags=all-static --with-unix-socket-path=/var/run/mysql --with-plugins=partition,blackhole,federated,archive,csv,heap,myisam,myisammrg,innobase --without-debug --with-pthread --enable-static --enable-thread-safe-client --with-mysqld-libs=-all-static

yum install expat expat-devel apr apr-devel apr-util apr-util-devel pcre pcre-devel python python-devel MySQL-python rrdtool rrdtool-devel

./configure --prefix=/usr/local/ganglia --with-libconfuse=/usr/local/lib/confuse/ --with-gmetad

./configure --prefix=/usr/local/httpd --enable-so --enable-modules=most --enable-mods-shared=most --enable-authn-dbd --enable-authz-dbm --enable-file-cache --enable-cache --enable-disk-cache --enable-mem-cache --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http --enable-proxy-scgi --enable-proxy-ajp --enable-proxy-balancer --enable-ssl --enable-dav --enable-dav-fs --enable-dav-lock --enable-vhost-alias --enable-rewrite --with-apr=/usr/local/lib/apr --with-apr-util=/usr/local/lib/apr-util/ --with-z=/usr/local/lib/zlib/ --with-ssl=/usr/lib/openssl

CFLAGS="-O3 -mpentiumpro" CXX=gcc CXXFLAGS="-O3 -mpentiumpro -felide-constructors -fno-exceptions -fno-rtti"

./configure --prefix=/usr/local/mysql --enable-assembler --with-charset=utf8 --with-collation=utf8_general_ci --with-extra-charsets=all \

--with-mysqld-user=mysql --with-big-tables --with-server-suffix=-tx-database --with-mysqld-ldflags=all-static --with-client-ldflags=all-static \

--with-unix-socket-path=/var/run/mysql --with-mysqld-user=mysql \

--with-plugin-partition --with-plugin-archive --with-plugin-blackhole \

--with-plugin-csv --with-plugin-federated --with-plugin-heap --with-plugin-innobase --with-plugin-myisam myisammrg \

--with-plugins=partition,blackhole,ftexample,federated,archive,csv,heap,myisam,myisammrg,innobase,innodb_plugin

'./configure' '--prefix=/usr/local/phpexe' '--mandir=/usr/share/man/' '--enable-safe-mode' '--enable-sigchild' '--enable-magic-quotes' '--with-libxml-dir=/usr' '--with-openssl' '--with-xpm-dir=/usr' '--with-libxml-dir=/usr' '--enable-exif' '--with-zlib-dir=/usr' '--enable-calendar' '--enable-ftp' '--with-gd=/usr/' '--with-jpeg-dir=/usr' '--with-png-dir=/usr' '--with-freetype-dir=/usr' '--enable-gd-native-ttf' '--enable-gd-jis-conv' '--with-gettext=/usr/lib' '--enable-mbstring=all' '--with-mysqli=/usr/local/mysql/bin/mysql_config' '--with-pdo-mysql=/usr/local/mysql/' '--with-mysql=/usr/local/mysql/' '--with-pdo-mysql=/usr/local/mysql/' '--enable-soap' '--enable-sockets' '--enable-zip' '--enable-embedded-mysqli=shared' '--enable-shared' '--with-curl' '--enable-mysqlnd' '--with-exec-dir=/usr/local/phpexe/bin' '--enable-mod-charset' '--with-apxs2=/usr/local/httpd/bin/apxs' '--with-imap=/usr' '--with-kerberos' '--with-imap-ssl' '--with-openssl'

--enable-fastcgi --enable-force-cgi-redirect --enable-fpm --with-ttf=/usr/lib

./configure --prefix=/usr/local/mysql --enable-assembler --with-pthread --with-embedded-server --with-charset=utf8 --with-collation=utf8_general_ci --with-extra-charsets=all --with-mysqld-user=mysql --with-big-tables --with-server-suffix=dbone --with-mysqld-ldflags=-all-static --without-debug --enable-thread-safe-client --with-client-ldflags=-all-static --with-mysqld-libs=-all-static --with-plugins=partition,blackhole,ftexample,federated,archive,csv,heap,myisam,myisammrg,innobase

yum install ncurses-devel

yum -y install apr-devel apr-util check-devel cairo-devel pango-devel libxml2-devel expat-devel freetype-devel rrdtool-devel gettext python pcre pcre-devel

./configure --prefix=/usr/local/lib/confuse

./configure --prefix=/usr/local/ganglia --with-libconfuse=/usr/local/lib/confuse/

yum -y install perl-CPAN install cpio install expat-devel gettext-devel autoconf wget

yum install cpio

yum install expat-devel

yum install gettext-devel

# nginx Startup script for the Apache HTTP Server

#

# chkconfig: 345 85 15

# description: Nginx is a high performance web server

# config: /etc/nginx/nginx.conf

# pidfile: /var/run/nginx.pid

#

# modify: waiting 20111007

#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

DESC="nginx daemon"

NAME=nginx

DAEMON=/usr/local/webserver/nginx/sbin/$NAME

SCRIPTNAME=/etc/init.d/$NAME

# If the daemon file is not found, terminate the script.

test -x $DAEMON || exit 0

d_start() {

$DAEMON || echo -n " already running"

}

d_stop() {

$DAEMON -s quit || echo -n " not running"

}

d_reload() {

$DAEMON -s reload || echo -n " could not reload"

}

case "$1" in

start)

echo -n "Starting $DESC: $NAME"

d_start

echo "."

;;

stop)

echo -n "Stopping $DESC: $NAME"

d_stop

echo "."

;;

reload)

echo -n "Reloading $DESC configuration..."

d_reload

echo "reloaded."

;;

restart)

echo -n "Restarting $DESC: $NAME"

d_stop

# Sleep for two seconds before starting again, this should give the

# Nginx daemon some time to perform a graceful stop.

sleep 2

d_start

echo "."

;;

*)

echo "Usage: $SCRIPTNAME {start|stop|restart|reload}" >&2

exit 3

;;

esac

exit 0

./configure --prefix=/usr/local/webserver/nginx --user=daemon --group=daemon --with-rtsig_module --with-select_module --with-poll_module --with-file-aio --with-http_ssl_module --with-http_realip_module --with-http_realip_module --with-http_addition_module --with-http_image_filter_module --with-http_geoip_module --with-http_sub_module --with-http_dav_module --with-http_flv_module --with-http_random_index_module --with-http_secure_link_module --with-http_degradation_module --with-http_stub_status_module --with-mail --with-mail_ssl_module --without-mail_pop3_module --without-mail_imap_module --without-mail_smtp_module --with-pcre --with-zlib=/tmp/zlib-1.2.7 --with-openssl=/tmp/openssl-0.9.8r --with-debug

rewrite ^/goods/([0-9]+)/?$ /index.php?app=goods&id=$1 last;

rewrite ^/goods/([0-9]+)/([^/]+)/?$ /index.php?app=goods&id=$1&act=$2 last;

rewrite ^/goods/([0-9]+)/([^/]+)/page_([^/]+)/?$ /index.php?app=goods&id=$1&act=$2&page=$3 last;

rewrite ^/groupbuy/([0-9]+)/?$ /index.php?app=groupbuy&id=$1 last;

rewrite ^/category/goods/?$ /index.php?app=category;

rewrite ^/category/(.*)/?$ /index.php?app=category&act=$1;

rewrite ^/brand/?$ /index.php?app=brand;

rewrite ^/article/([0-9]+).html$ /index.php?app=article&act=view&article_id=$1;

rewrite ^/store/([0-9]+)/?$ /index.php?app=store&id=$1;

rewrite ^/store/article/([0-9]+).html$ /index.php?app=store&act=article&id=$1;

rewrite ^/store/([0-9]+)/credit/?$ /index.php?app=store&id=$1&act=credit;

rewrite ^/store/([0-9]+)/credit/page_([^/]+)/?$ /index.php?app=store&id=$1&act=credit&page=$2;

rewrite ^/store/([0-9]+)/credit/([0-9]+)/?$ /index.php?app=store&id=$1&act=credit&eval=$2;

rewrite ^/store/([0-9]+)/credit/([0-9]+)/page_([^/]+)/?$ /index.php?app=store&id=$1&act=credit&eval=$2&page=$3;

rewrite ^/store/([0-9]+)/goods/?$ /index.php?app=store&id=$1&act=search;

rewrite ^/store/([0-9]+)/goods/page_([^/]+)/?$ /index.php?app=store&id=$1&act=search&page=$2;

rewrite ^/store/([0-9]+)/category/([0-9]+)/?$ /index.php?app=store&id=$1&act=search&cate_id=$2;

rewrite ^/store/([0-9]+)/category/([0-9]+)/page_([^/]+)/?$ /index.php?app=store&id=$1&act=search&cate_id=$2&page=$3;

rewrite ^/store/([0-9]+)/groupbuy/?$ /index.php?app=store&id=$1&act=groupbuy;

rewrite ^/store/([0-9]+)/groupbuy/page_([^/]+)/?$ /index.php?app=store&id=$1&act=groupbuy&page=$2;

#!/bin/sh

#

# Startup script for the server of memcached

#

# processname: memcached

# pidfile: /etc/memcached/memcached.pid

# logfile: /etc/memcached/memcached_log.txt

# memcached_home: /etc/memcached

# chkconfig: 35 21 79

# description: Start and stop memcached Service

# Source function library

. /etc/rc.d/init.d/functions

RETVAL=0

prog="memcached"

basedir=/etc/memcached

cmd=${basedir}/bin/memcached

pidfile="$basedir/${prog}.pid"

#logfile="$basedir/memcached_log.txt"

# 设置memcached启动参数

ipaddr="192.168.1.201" # 绑定侦听的IP地址

port="11211" # 服务端口

username="root" # 运行程序的用户身份

max_memory=64 # default: 64M | 最大使用内存

max_simul_conn=1024 # default: 1024 | 最大同时连接数

#maxcon=51200

#growth_factor=1.3 # default: 1.25 | 块大小增长因子

#thread_num=6 # default: 4

#verbose="-vv" # 查看详细启动信息

#bind_protocol=binary # ascii, binary, or auto (default)

start() {

echo -n $"Starting service: $prog"

$cmd -d -m $max_memory -u $username -l $ipaddr -p $port -c $max_simul_conn -P $pidfile

RETVAL=$?

echo

[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog

}

stop() {

echo -n $"Stopping service: $prog "

run_user=`whoami`

pidlist=`ps -ef | grep $run_user | grep memcached | grep -v grep | awk '{print($2)}'`

for pid in $pidlist

do

# echo "pid=$pid"

kill -9 $pid

if [ $? -ne 0 ]; then

return 1

fi

done

RETVAL=$?

echo

[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog

}

# See how we were called.

case "$1" in

start)

start

;;

stop)

stop

;;

#reload)

# reload

# ;;

restart)

stop

start

;;

#condrestart)

# if [ -f /var/lock/subsys/$prog ]; then

# stop

# start

# fi

# ;;

status)

status memcached

;;

*)

echo "Usage: $0 {start|stop|restart|status}"

exit 1

esac

exit $RETVAL

cp ganglia-3.4.0.tar.gz /tmp/

cd /tmp/

tar -zxvf ganglia-3.4.0.tar.gz

cd ganglia-3.4.0

./configure --help

yum install libpcre

yum install pcre pcre-devel

yum install python

./configure --help

yum install apr apr-devel

clear

./configure --help

./configure --prefix=/usr/local/ganglia

make

yum install gettext

yum install rrdtool

yum install rrdtool-devel

./configure --prefix=/usr/local/ganglia

yum install gettext-devel

./configure --prefix=/usr/local/ganglia

yum install libconfuse

yum install confuse

yum install freetype-devel

yum install confuse

yum install confuse

yum install expat

yum install expat expat-devel apr apr-devel apr-util apr-util-devel pcre pcre-devel python python-devel MySQL-python

./configure --prefix=/usr/local/ganglia

yum install apr-util

yum install apr-util-devel

./configure --prefix=/usr/local/ganglia

yum install libconfuse

yum install expat

./configure --prefix=/usr/local/ganglia

yum -y install apr-devel apr-util check-devel cairo-devel pango-devel libxml2-devel

rpmbuild glib2-devel dbus-devel freetype-devel fontconfig-devel gcc-c++ expat-devel

yum install libconfuse

yum install confuse

./configure --prefix=/usr/local/ganglia

yum install libconfuse-devel

yum install libconfuse

cd ..

ls

tar -zxvf confuse-2.7.tar.gz

cd confuse-2.7

ls

./configure --help

./configure --prefix=/usr/local/lib/confuse

make

make install

cd ,..

cd ..

ls

cd ganglia-3.4.0

./configure --help

./configure --prefix=/usr/local/ganglia --with-libconfuse=/usr/local/lib/confuse/ --with-gmetad

make

make install

./configure --prefix=/usr/local/httpd --enable-so --enable-modules=most

--enable-mods-shared=most --enable-authn-dbd --enable-authz-dbm --enable-file-cache

--enable-cache --enable-disk-cache --enable-mem-cache --enable-proxy --enable-proxy-connect

--enable-proxy-ftp --enable-proxy-http --enable-proxy-scgi --enable-proxy-ajp --enable-proxy-balancer

--enable-ssl --enable-dav --enable-dav-fs --enable-dav-lock --enable-vhost-alias --enable-rewrite

--with-apr=/usr/local/lib/apr --with-apr-util=/usr/local/lib/apr-util/

--with-z=/usr/local/lib/zlib/ --with-ssl=/usr/lib/openssl

./configure --prefix=/usr/local/dsmysql--enable-assembler --with-charset=utf8

--with-collation=utf8_general_ci --with-extra-charsets=all --with-mysqld-user=mysql --with-big-tables

--with-ssl=/usr/lib/openssl/ --with-zlib-dir=/usr/local/lib/zlib/

--with-plugins=partition,blackhole,federated,ftexample,archive,csv,heap,myisam,myisammrg,innobase

yum -y install perl-CPAN install cpio install expat-devel gettext-devel autoconf wget

yum install cpio

yum install expat-devel

yum install gettext-devel

-A OUTPUT -p tcp --dport 20 -j ACCEPT

-A OUTPUT -p tcp --dport 21 -j ACCEPT

--enable-fastcgi --enable-force-cgi-redirect --enable-fpm

./configure --prefix=/usr/local/phpcgi --mandir=/usr/share/man/ --with-gd=/usr/lib/

--with-freetype-dir=/usr/lib --enable-safe-mode --enable-sigchild --enable-magic-quotes

--with-libxml-dir=/usr/lib --with-openssl --with-xpm-dir=/usr/lib --with-libxml-dir=/usr/lib/

--enable-exif --with-zlib-dir=/usr/lib --enable-calendar --enable-ftp --with-gd=/usr/lib --with-jpeg-dir=/usr/lib

--with-png-dir=/usr/lib --with-freetype-dir=/usr --enable-gd-native-ttf --enable-gd-jis-conv --with-gettext=/usr/lib

--enable-mbstring=all --with-mysqli=/usr/local/mysql/bin/mysql_config --with-pdo-mysql=/usr/local/mysql/

--with-mysql=/usr/local/mysql/ --with-pdo-mysql=/usr/local/mysql/ --enable-soap --enable-sockets --enable-zip

--enable-embedded-mysqli=shared --enable-shared --with-ttf=/usr/lib --with-ttf=/usr/lib --enable-fastcgi

--enable-force-cgi-redirect --enable-fpm

./configure --prefix=/usr/local/webserver/nginx --user=daemon

--group=daemon --with-rtsig_module --with-select_module --with-poll_module --with-file-aio

--with-http_ssl_module --with-http_realip_module --with-http_realip_module --with-http_addition_module

--with-http_image_filter_module --with-http_geoip_module --with-http_sub_module --with-http_dav_module

--with-http_flv_module --with-http_random_index_module --with-http_secure_link_module --with-http_degradation_module

--with-http_stub_status_module --with-mail --with-mail_ssl_module --without-mail_pop3_module --without-mail_imap_module

--without-mail_smtp_module --with-pcre --with-zlib=/tmp/zlib-1.2.7 --with-openssl=/tmp/openssl-0.9.8r

# nginx Startup script for the Apache HTTP Server

#

# chkconfig: 345 85 15

# description: Nginx is a high performance web server

# config: /etc/nginx/nginx.conf

# pidfile: /var/run/nginx.pid

#

# modify: waiting 20111007

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

DESC="nginx daemon"

NAME=nginx

DAEMON=/usr/local/webserver/nginx/sbin/$NAME

SCRIPTNAME=/etc/init.d/$NAME

# If the daemon file is not found, terminate the script.

test -x $DAEMON || exit 0

d_start() {

$DAEMON || echo -n " already running"

}

d_stop() {

$DAEMON -s quit || echo -n " not running"

}

d_reload() {

$DAEMON -s reload || echo -n " could not reload"

}

case "$1" in

start)

echo -n "Starting $DESC: $NAME"

d_start

echo "."

;;

stop)

echo -n "Stopping $DESC: $NAME"

d_stop

echo "."

;;

reload)

echo -n "Reloading $DESC configuration..."

d_reload

echo "reloaded."

;;

restart)

echo -n "Restarting $DESC: $NAME"

d_stop

# Sleep for two seconds before starting again, this should give the

# Nginx daemon some time to perform a graceful stop.

sleep 2

d_start

echo "."

;;

*)

echo "Usage: $SCRIPTNAME {start|stop|restart|reload}" >&2

exit 3

;;

esac

exit 0

#!/bin/bash

### BEGIN INIT INFO

# Provides: resin

# Required-Start: $remote_fs $network

# Required-Stop: $remote_fs $network

# Default-Start: 2 3 4 5

# Default-Stop: 0 1 6

# Short-Description: The Resin Java Application Server

### END INIT INFO

#

### BEGIN Fedora SysV

#

# chkconfig: 2345 90 10

# description: The Resin Java Application Server

#

### END Fedora SysV

#

# To install, configure this file as needed and copy init.resin

# to /etc/rc.d/init.d as resin. Then use "# /sbin/chkconfig resin reset"

#

JAVA_HOME="/usr/local/java/"

RESIN_HOME="/usr/local/resin"

CONSOLE="/var/log/resin/console.log"

# for ubuntu

if [ ! -d $JAVA_HOME ]; then

_JAVA_HOMES="/usr/lib/jvm/java-6-sun /usr/lib/jvm/java-6-openjdk"

for _java_home in $_JAVA_HOMES; do

if [ -d $_java_home ]; then

JAVA_HOME=$_java_home

break

fi

done

fi

export JAVA_HOME RESIN_HOME

JAVA="/usr/local/java//bin/java"

#

# Set to the server id to start

#

#SERVER="-server app-a"

#

# -resin-root /var/resin -- the main data directory

#

RESIN_ROOT="-root-directory /home/resin/www"

#

# -conf /etc/resin/resin.xml -- the main configuration file

#

RESIN_CONF="-conf /etc/resin/resin.xml"

#

# -log-directory /var/log/resin -- the main log directory

#

RESIN_LOG="-log-directory /var/log/resin"

ARGS="$RESIN_CONF $RESIN_LOG $RESIN_ROOT $SERVER"

if test -r /lib/lsb/init-functions; then

. /lib/lsb/init-functions

fi

type log_daemon_msg 1> /dev/null 2> /dev/null

if test "$?" != 0; then

log_daemon_msg () {

if [ -z "$1" ]; then

return 1

fi

if [ -z "$2" ]; then

echo -n "$1:"

return

fi

echo -n "$1: $2"

}

log_end_msg () {

[ -z "$1" ] && return 1

if [ $1 -eq 0 ]; then

echo " ."

else

echo " failed!"

fi

return $1

}

fi

case "$1" in

start)

log_daemon_msg "Starting resin"

if test -n "$USER"; then

su $USER -c """$JAVA -jar $RESIN_HOME/lib/resin.jar $ARGS start""" 1>> $CONSOLE 2>> $CONSOLE

else

errors=`$JAVA -jar $RESIN_HOME/lib/resin.jar $ARGS start 2>&1`

if [ $? != 0 ]; then

log_daemon_msg $errors

fi

fi

log_end_msg $?

;;

stop)

log_daemon_msg "Stopping resin"

if test -n "$USER"; then

su $USER -c """$JAVA -jar $RESIN_HOME/lib/resin.jar $ARGS shutdown""" 1>> $CONSOLE 2>> $CONSOLE

else

errors=`$JAVA -jar $RESIN_HOME/lib/resin.jar $ARGS shutdown 2>&1`

if [ $? != 0 ]; then

log_daemon_msg $errors

fi

fi

log_end_msg $?

;;

status)

$JAVA -jar $RESIN_HOME/lib/resin.jar $ARGS status

;;

restart)

$0 stop

$0 start

;;

*)

echo "Usage: $0 {start|stop|status|restart}"

exit 1

esac

exit 0

tar zxvf confuse-2.6.tar.gz

./configure CFLAGS=-fPIC --disable-nls --prefix=/usr/local/confuse

make

make install

mkdir /usr/local/confuse/lib64

cp -a /usr/local/confuse/lib/* /usr/local/confuse/lib64/

seclinux linux vsftp

setsebool ftp_home_dir=1

php 5.30 cgi

./configure --prefix=/usr/local/phpcgi --mandir=/usr/share/man/ --enable-safe-mode --enable-sigchild --enable-magic-quotes --with-libxml-dir=/usr/lib --with-openssl --with-xpm-dir=/usr/lib --with-libxml-dir=/usr/lib/ --enable-exif --with-zlib-dir=/usr/lib --enable-calendar --enable-ftp --with-gd=/usr/lib --with-jpeg-dir=/usr/lib --with-png-dir=/usr/lib --with-freetype-dir=/usr/lib --enable-gd-native-ttf --enable-gd-jis-conv --with-gettext=/usr/lib --enable-mbstring=all --with-mysqli=/usr/local/mysql/bin/mysql_config --with-pdo-mysql=/usr/local/mysql/ --with-mysql=/usr/local/mysql/ --with-pdo-mysql=/usr/local/mysql/ --enable-soap --enable-sockets --enable-zip --enable-embedded-mysqli=shared --enable-shared --enable-fpm --with-curl

php 5.30 exe

./configure --prefix=/usr/local/phpexe --mandir=/usr/share/man/ --enable-safe-mode --enable-sigchild --enable-magic-quotes --with-libxml-dir=/usr/lib --with-openssl --with-xpm-dir=/usr/lib --with-libxml-dir=/usr/lib/ --enable-exif --with-zlib-dir=/usr/lib --enable-calendar --enable-ftp --with-gd=/usr/lib --with-jpeg-dir=/usr/lib --with-png-dir=/usr/lib --with-freetype-dir=/usr/lib --enable-gd-native-ttf --enable-gd-jis-conv --with-gettext=/usr/lib --enable-mbstring=all --with-mysqli=/usr/local/mysql/bin/mysql_config --with-pdo-mysql=/usr/local/mysql/ --with-mysql=/usr/local/mysql/ --with-pdo-mysql=/usr/local/mysql/ --enable-soap --enable-sockets --enable-zip --enable-embedded-mysqli=shared --enable-shared --with-curl --enable-mysqlnd --with-exec-dir=/usr/local/phpexe/bin --enable-mod-charset --with-apxs2=/usr/local/httpd/bin/apxs

nagios

make install

- This installs the main program, CGIs, and HTML files

make install-init

- This installs the init script in /etc/init.d/

make install-commandmode

- This installs and configures permissions on the

directory for holding the external command file

make install-config

- This installs *SAMPLE* config files in /usr/local/nagios/etc

You'll have to modify these sample files before you can

use Nagios. Read the HTML documentation for more info

on doing this. Pay particular attention to the docs on

object configuration files, as they determine what/how

things get monitored!

make install-webconf

- This installs the Apache config file for the Nagios

web interface

make install-exfoliation

- This installs the Exfoliation theme for the Nagios

web interface

make install-classicui

- This installs the classic theme for the Nagios

web interface

squid

./configure --prefix=/usr/local/squid --enable-maintainer-mode --enable-dependency-tracking --enable-ltdl-install --enable-xmalloc-statistics --enable-disk-io=AIO,Blocking,DiskThreads,Mmapped --enable-storeio=aufs,diskd,ufs --enable-icmp --enable-delay-pools --enable-esi --enable-icap-client --enable-kill-parent-hack --enable-cachemgr-hostname=txserver --enable-ssl --enable-linux-netfilter --enable-leakfinder --enable-follow-x-forwarded-for --enable-ssl-crtd --enable-auth --enable-auth-basic --enable-x-accelerator-vary --enable-zph-qos --enable-gnuregex --with-openssl=/usr/lib/openssl/

http2.4.2

./configure --prefix=/usr/local/webserver/httpd --enable-so --enable-modules=most --enable-mods-shared=most --enable-authn-dbd --enable-authz-dbm --enable-file-cache --enable-cache --enable-cache-disk --enable-socache-memcache --enable-buffer --enable-data --enable-ext-filter --enable-request --enable-include --enable-sed --enable-proxy-html --enable-logio --enable-mime-magic --enable-cern-meta --enable-expires --enable-remoteip --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http --enable-proxy-fcgi --enable-proxy-scgi --enable-proxy-ajp --enable-proxy-balancer --enable-proxy-fdpass --enable-proxy-express --enable-session --enable-session-cookie --enable-session-dbd --enable-slotmem-shm --enable-slotmem-plain --enable-optional-hook-export --enable-optional-hook-import --enable-optional-fn-import --enable-optional-fn-export --enable-ssl --enable-dav --enable-dav-fs --enable-dav-lock --enable-vhost-alias --enable-asis --enable-suexec --enable-cgid --enable-cgi --enable-negotiation --enable-actions --enable-userdir --enable-v4-mapped --enable-rewrite --with-apr=/usr/local/tools/apr/ --with-apr-util=/usr/local/tools/apr-util/ --with-z=/usr/local/tools/zlib/ --with-ssl=/usr/

cmake . -DCMAKE_INSTALL_PREFIX:PATH=/usr/local/mysql -DDEFAULT_CHARSET=utf8 -DDEFAULT_COLLATION=utf8_general_ci -DWITH_INNOBASE_STORAGE_ENGINE=1 -DWITH_ARCHIVE_STORAGE_ENGINE=1 -DWITH_BLACKHOLE_STORAGE_ENGINE=1 -DWITH_PERFSCHEMA_STORAGE_ENGINE=1 -DWITH_PARTITION_STORAGE_ENGINE=1 -DENABLED_LOCAL_INFILE=ON -DBUILD_CONFIG=mysql_release -DENABLE_DOWNLOADS=1 -DIGNORE_AIO_CHECK=1 -DMYSQL_DATADIR:PATH=/usr/local/mysql/data -DCMAKE_BUILD_TYPE:STRING=Release

mysql 5.6.12

cmake . -DDEFAULT_CHARSET=utf8 -DDEFAULT_COLLATION=utf8_general_ci -DWITH_INNOBASE_STORAGE_ENGINE=1 -DWITH_ARCHIVE_STORAGE_ENGINE=1 -DWITH_BLACKHOLE_STORAGE_ENGINE=1 -DWITH_PERFSCHEMA_STORAGE_ENGINE=1 -DWITH_PARTITION_STORAGE_ENGINE=1 -DENABLED_LOCAL_INFILE=ON -DBUILD_CONFIG=mysql_release -DENABLE_DOWNLOADS=1 -DIGNORE_AIO_CHECK=1 -DCOMPILATION_COMMENT=ccdb -DWITH_ZLIB=bundled -DWITH_SSL=bundled

cmake . -DDEFAULT_CHARSET=utf8 -DDEFAULT_COLLATION=utf8_general_ci -DWITH_INNOBASE_STORAGE_ENGINE=1 -DWITH_ARCHIVE_STORAGE_ENGINE=1 -DWITH_BLACKHOLE_STORAGE_ENGINE=1 -DWITH_PERFSCHEMA_STORAGE_ENGINE=1 -DWITH_PARTITION_STORAGE_ENGINE=1 -DENABLED_LOCAL_INFILE=1 -DBUILD_CONFIG=mysql_release -DENABLE_DOWNLOADS=1 -DIGNORE_AIO_CHECK=1 -DCOMPILATION_COMMENT=ccdb -DWITH_ZLIB=bundled -DWITH_SSL=bundled -DWITH_EMBEDDED_SERVER=0 -DWITH_INNODB_MEMCACHED=1 -DWITH_READLINE=1 -DWITH_BUNDLED_LIBEVENT=1 -DWITH_BUNDLED_MEMCACHED=1 -DMEMCACHED_HOME=/usr/local/memcached/ -DOPTIMIZER_TRACE=1 -DENABLE_MEMCACHED_SASL=1 -DENABLE_MEMCACHED_SASL_PWDB=1


PS1="\[\e[31m\][\u]@\[\e[31m\][\h \w]$\[\e[m\]"

# Example MySQL config file for very large systems.
#
# This is for a large system with memory of 1G-2G where the system runs mainly
# MySQL.
#
# MySQL programs look for option files in a set of
# locations which depend on the deployment platform.
# You can copy this option file to one of those
# locations. For information about these locations, see:
# http://dev.mysql.com/doc/mysql/en/option-files.html
#
# In this file, you can use all long options that a program supports.
# If you want to know which options a program supports, run the program
# with the "--help" option.

# The following options will be passed to all MySQL clients
[client]
#password = your_password
port = 3306
socket = /tmp/mysql.sock

# Here follows entries for some specific programs

# The MySQL server
[mysqld]
port = 3306
socket = /tmp/mysql.sock
explicit_defaults_for_timestamp=true
innodb_use_sys_malloc =1
skip-external-locking
key_buffer_size = 384M
max_allowed_packet = 1M
table_open_cache = 512
sort_buffer_size = 2M
read_buffer_size = 2M
read_rnd_buffer_size = 8M
myisam_sort_buffer_size = 64M
thread_cache_size = 8
query_cache_size = 32M
# Try number of CPU's*2 for thread_concurrency
thread_concurrency = 8

# Don't listen on a TCP/IP port at all. This can be a security enhancement,
# if all processes that need to connect to mysqld run on the same host.
# All interaction with mysqld must be made via Unix sockets or named pipes.
# Note that using this option without enabling named pipes on Windows
# (via the "enable-named-pipe" option) will render mysqld useless!
#
#skip-networking

# Replication Master Server (default)
# binary logging is required for replication
log-bin=mysql-bin

# required unique id between 1 and 2^32 - 1
# defaults to 1 if master-host is not set
# but will not function as a master if omitted
server-id = 1

# Replication Slave (comment out master section to use this)
#
# To configure this host as a replication slave, you can choose between
# two methods :
#
# 1) Use the CHANGE MASTER TO command (fully described in our manual) -
# the syntax is:
#
# CHANGE MASTER TO MASTER_HOST=<host>, MASTER_PORT=<port>,
# MASTER_USER=<user>, MASTER_PASSWORD=<password> ;
#
# where you replace <host>, <user>, <password> by quoted strings and
# <port> by the master's port number (3306 by default).
#
# Example:
#
# CHANGE MASTER TO MASTER_HOST='125.564.12.1', MASTER_PORT=3306,
# MASTER_USER='joe', MASTER_PASSWORD='secret';
#
# OR
#
# 2) Set the variables below. However, in case you choose this method, then
# start replication for the first time (even unsuccessfully, for example
# if you mistyped the password in master-password and the slave fails to
# connect), the slave will create a master.info file, and any later
# change in this file to the variables' values below will be ignored and
# overridden by the content of the master.info file, unless you shutdown
# the slave server, delete master.info and restart the slaver server.
# For that reason, you may want to leave the lines below untouched
# (commented) and instead use CHANGE MASTER TO (see above)
#
# required unique id between 2 and 2^32 - 1
# (and different from the master)
# defaults to 2 if master-host is set
# but will not function as a slave if omitted
#server-id = 2
#
# The replication master for this slave - required
#master-host = <hostname>
#
# The username the slave will use for authentication when connecting
# to the master - required
#master-user = <username>
#
# The password the slave will authenticate with when connecting to
# the master - required
#master-password = <password>
#
# The port the master is listening on.
# optional - defaults to 3306
#master-port = <port>
#
# binary logging - not required for slaves, but recommended
log-bin=mysql-bin
#
# binary logging format - mixed recommended
binlog_format=mixed

# Uncomment the following if you are using InnoDB tables
innodb_data_home_dir = /usr/local/mysql/data
innodb_data_file_path = ibdata1:2000M;ibdata2:10M:autoextend
innodb_log_group_home_dir = /usr/local/mysql/data
# You can set .._buffer_pool_size up to 50 - 80 %
# of RAM but beware of setting memory usage too high
innodb_buffer_pool_size = 384M
# Set .._log_file_size to 25 % of buffer pool size
innodb_log_file_size = 100M
innodb_log_buffer_size = 8M
innodb_flush_log_at_trx_commit = 1
innodb_lock_wait_timeout = 50

[mysqldump]
quick
max_allowed_packet = 16M

[mysql]
no-auto-rehash
# Remove the next comment character if you are not familiar with SQL
#safe-updates

[myisamchk]
key_buffer_size = 256M
sort_buffer_size = 256M
read_buffer = 2M
write_buffer = 2M

[mysqlhotcopy]
interactive-timeout

[dag]
name=Dag RPM Repository for Red Hat Enterprise Linux
baseurl=http://apt.sw.be/redhat/el5/en/$basearch/dag
gpgcheck=1
gpgkey=http://dag.wieers.com/rpm/packages/RPM-GPG-KEY.dag.txt
enabled=1

nginx

./configure --prefix=/usr/local/nginx --with-rtsig_module --with-file-aio --with-ipv6 --with-http_ssl_module --with-http_realip_module --with-http_addition_module --with-http_image_filter_module --with-http_geoip_module --with-http_sub_module --with-http_dav_module --with-http_flv_module --with-http_mp4_module --with-http_gzip_static_module --with-http_random_index_module --with-http_secure_link_module --with-http_degradation_module --with-http_stub_status_module --with-http_perl_module --with-mail --with-mail_ssl_module --with-google_perftools_module --with-pcre --with-zlib=/tmp/zlib-1.2.7 --with-openssl=/tmp/openssl-0.9.8r

分享到 :
0 人收藏
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

积分:81
帖子:4969
精华:0
期权论坛 期权论坛
发布
内容

下载期权论坛手机APP